# Microsoft.Samples.DirectX.UtilityToolkit.RadioButton Class Reference

Radio button control. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::Checkbox, Microsoft::Samples::DirectX::UtilityToolkit::Checkbox, and Microsoft::Samples::DirectX::UtilityToolkit::Checkbox.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.RadioButton:

[legend]

List of all members.

## Public Member Functions
| RadioButton (Dialog parent)
| Create new radio button instance.
void | SetChecked (bool ischecked, bool clear)
| Sets the check state and potentially clears the group.
override void | OnHotKey ()
| Override hotkey to fire event.
override bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle the keyboard for the checkbox.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse messages from the radio button.
| RadioButton (Dialog parent)
| Create new radio button instance.
void | SetChecked (bool ischecked, bool clear)
| Sets the check state and potentially clears the group.
override void | OnHotKey ()
| Override hotkey to fire event.
override bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle the keyboard for the checkbox.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse messages from the radio button.
| RadioButton (Dialog parent)
| Create new radio button instance.
void | SetChecked (bool ischecked, bool clear)
| Sets the check state and potentially clears the group.
override void | OnHotKey ()
| Override hotkey to fire event.
override bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle the keyboard for the checkbox.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse messages from the radio button.
## Protected Member Functions
virtual void | SetCheckedInternal (bool ischecked, bool clearGroup, bool fromInput)
| Sets the checked state and fires the event if necessary.
virtual void | SetCheckedInternal (bool ischecked, bool clearGroup, bool fromInput)
| Sets the checked state and fires the event if necessary.
virtual void | SetCheckedInternal (bool ischecked, bool clearGroup, bool fromInput)
| Sets the checked state and fires the event if necessary.
## Protected Attributes
uint | buttonGroupIndex
## Properties
uint | ButtonGroup`[get, set]`
| Button Group property.

## Detailed Description

Radio button control.

Definition at line 2403 of file dxmutgui.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.RadioButton | ( | Dialog | parent | ) |

Create new radio button instance.

Definition at line 2409 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.RadioButton | ( | Dialog | parent | ) |

Create new radio button instance.

Definition at line 2409 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.RadioButton | ( | Dialog | parent | ) |

Create new radio button instance.

Definition at line 2412 of file wdxmutgui.cs.

## Member Function Documentation

override bool Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the keyboard for the checkbox.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.

Definition at line 2456 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the keyboard for the checkbox.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.

Definition at line 2452 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the keyboard for the checkbox.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.

Definition at line 2452 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle mouse messages from the radio button.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.

Definition at line 2491 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle mouse messages from the radio button.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.

Definition at line 2487 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle mouse messages from the radio button.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.

Definition at line 2487 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.OnHotKey | ( |  | ) | `[virtual]`

Override hotkey to fire event.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.

Definition at line 2448 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.OnHotKey | ( |  | ) | `[virtual]`

Override hotkey to fire event.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.

Definition at line 2444 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.OnHotKey | ( |  | ) | `[virtual]`

Override hotkey to fire event.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.

Definition at line 2444 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.SetChecked | ( | bool | ischecked,
|  | bool | clear |
| ) |  |  |

Sets the check state and potentially clears the group.

Definition at line 2431 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.SetChecked | ( | bool | ischecked,
|  | bool | clear |
| ) |  |  |

Sets the check state and potentially clears the group.

Definition at line 2427 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.SetChecked | ( | bool | ischecked,
|  | bool | clear |
| ) |  |  |

Sets the check state and potentially clears the group.

Definition at line 2427 of file dxmutgui.cs.

Here is the caller graph for this function:

virtual void Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.SetCheckedInternal | ( | bool | ischecked,
|  | bool | clearGroup,
|  | bool | fromInput |
| ) |  |  | `[protected, virtual]`

Sets the checked state and fires the event if necessary.

Definition at line 2439 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.SetCheckedInternal | ( | bool | ischecked,
|  | bool | clearGroup,
|  | bool | fromInput |
| ) |  |  | `[protected, virtual]`

Sets the checked state and fires the event if necessary.

Definition at line 2435 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.SetCheckedInternal | ( | bool | ischecked,
|  | bool | clearGroup,
|  | bool | fromInput |
| ) |  |  | `[protected, virtual]`

Sets the checked state and fires the event if necessary.

Definition at line 2435 of file dxmutgui.cs.

## Member Data Documentation

uint Microsoft::Samples::DirectX::UtilityToolkit.RadioButton::buttonGroupIndex`[protected]`

Definition at line 2405 of file dxmutgui.cs.

## Property Documentation

uint Microsoft::Samples::DirectX::UtilityToolkit.RadioButton::ButtonGroup`[get, set]`

Button Group property.

Definition at line 2419 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs